---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/Scenes/07_Cantellos_shop/Comics/Laura/"
---------------------------------------------------------------------------------------
createCompositionLaura_Letter_Dvijok_ = nil
---------------------------------------------------------------------------------------
createCompositionLaura_Letter_Dvijok_ = function()
	local compositionLaura_Letter_Dvijok_ = CreateCompositionSequence()
	local compositionDuration = 2
	compositionLaura_Letter_Dvijok_:setDuration(compositionDuration)
	compositionLaura_Letter_Dvijok_:setName("compositionLaura_Letter_Dvijok_" )
	compositionLaura_Letter_Dvijok_:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer Head_1.png/1
	element = CreateCompositionElement(PREFIX_PATH.."Head_1.png")
	element:setName("Head_1.png/1")
	compositionLaura_Letter_Dvijok_:addElement(element)
	element:setHotSpot(55, 129)
	compositionLaura_Letter_Dvijok_:registerParentInfo("Head_1.png/1", "Telo_1.png/5")
	element:setXY(122, 17)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:play()
 
 
	-- Layer R_Ruka_2.png/2
	element = CreateCompositionElement(PREFIX_PATH.."R_Ruka_2.png")
	element:setName("R_Ruka_2.png/2")
	compositionLaura_Letter_Dvijok_:addElement(element)
	element:setHotSpot(115, 143)
	compositionLaura_Letter_Dvijok_:registerParentInfo("R_Ruka_2.png/2", "Telo_1.png/5")
	element:setXY(85, 214)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:setKey(_TRACK_O, 1.33333333333333, 1)
	effector:setKey(_TRACK_O, 1.83333333333333, 0)
	effector:play()
 
 
	-- Layer R_Ruka_1.png/3
	element = CreateCompositionElement(PREFIX_PATH.."R_Ruka_1.png")
	element:setName("R_Ruka_1.png/3")
	compositionLaura_Letter_Dvijok_:addElement(element)
	element:setHotSpot(72, 20)
	compositionLaura_Letter_Dvijok_:registerParentInfo("R_Ruka_1.png/3", "Telo_1.png/5")
	element:setXY(15, 89)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 1, 0.01048055916271)
	effector:setKey(_TRACK_A, 2, 0)
	effector:setKey(_TRACK_O, 1.25, 0)
	effector:setKey(_TRACK_O, 1.54166666666667, 1)
	effector:play()
 
 
	-- Layer Telo_2.png/4
	element = CreateCompositionElement(PREFIX_PATH.."Telo_2.png")
	element:setName("Telo_2.png/4")
	compositionLaura_Letter_Dvijok_:addElement(element)
	element:setHotSpot(118, 153)
	element:setParentElement(compositionLaura_Letter_Dvijok_)
	element:setXY(683, 334)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:setKey(_TRACK_O, 0, 0)
	effector:setKey(_TRACK_O, 1, 1)
	effector:setKey(_TRACK_O, 2, 0)
	effector:play()
 
 
	-- Layer Telo_1.png/5
	element = CreateCompositionElement(PREFIX_PATH.."Telo_1.png")
	element:setName("Telo_1.png/5")
	compositionLaura_Letter_Dvijok_:addElement(element)
	element:setHotSpot(126, 294)
	compositionLaura_Letter_Dvijok_:registerParentInfo("Telo_1.png/5", "Yubka_1.png/6")
	element:setXY(146, 10)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:play()
 
 
	-- Layer Yubka_1.png/6
	element = CreateCompositionElement(PREFIX_PATH.."Yubka_1.png")
	element:setName("Yubka_1.png/6")
	compositionLaura_Letter_Dvijok_:addElement(element)
	element:setHotSpot(141, 158)
	element:setParentElement(compositionLaura_Letter_Dvijok_)
	element:setXY(686, 623)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:play()
 
 
	-- Layer L_Ruka_1.png/7
	element = CreateCompositionElement(PREFIX_PATH.."L_Ruka_1.png")
	element:setName("L_Ruka_1.png/7")
	compositionLaura_Letter_Dvijok_:addElement(element)
	element:setHotSpot(39, 22)
	compositionLaura_Letter_Dvijok_:registerParentInfo("L_Ruka_1.png/7", "Telo_1.png/5")
	element:setXY(224, 91)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 1, -0.00950953446449)
	effector:setKey(_TRACK_A, 2, 0)
	effector:play()
 
 
	-- Layer Volosy_12.png/8
	element = CreateCompositionElement(PREFIX_PATH.."Volosy_12.png")
	element:setName("Volosy_12.png/8")
	compositionLaura_Letter_Dvijok_:addElement(element)
	element:setHotSpot(94, 50)
	compositionLaura_Letter_Dvijok_:registerParentInfo("Volosy_12.png/8", "Head_1.png/1")
	element:setXY(60, 129.75)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:play()
 
	compositionLaura_Letter_Dvijok_:play()
 
	return compositionLaura_Letter_Dvijok_
end
 
